<?php
/**
 * Modules markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Modules
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */

if ( ! is_user_logged_in() ) {
	return;
}

$text = $attributes['linkText'] ?? __( 'All Projects', 'leco-cp' );
?>
<?php if ( is_user_logged_in() ) { ?>
	<?php
	if ( leco_cp_user_role_allowed() ) {
		$projects = leco_cp_get_projects_by_client( get_current_user_id() );
		$count    = count( $projects );
		if ( $count > 1 ) {
			?>
		<li class="wp-block-navigation-item">
			<a
				href="<?php echo esc_url( home_url( leco_cp_get_slug() ) ); ?>"
				class="<?php echo ( is_post_type_archive( 'leco_client' ) ) ? 'current' : ''; ?>"
			>
				<?php echo wp_kses_post( $text ); ?>
			</a>
		</li>
			<?php
		}
	}
}
