import { useBlockProps, RichText } from '@wordpress/block-editor';

export default function Edit( props ) {
	const blockProps = useBlockProps();
	const { attributes, setAttributes } = props;
	const { linkText } = attributes;
	return (
		<li { ...blockProps }>
			<RichText
				value={ linkText }
				className="wp-block-navigation-item__label"
				withoutInteractiveFormatting
				onChange={ ( label ) =>
					setAttributes( {
						linkText: label,
					} )
				}
				allowedFormats={ [ 'core/bold', 'core/italic' ] }
			/>
		</li>
	);
}
