/**
 * Register Login Block
 *
 * @package
 * @since       4.12
 */

import Edit from './edit';
import metadata from './block.json';
import { blockLogin } from '../../plugins/components/icons';

const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

export default registerBlockType( metadata.name, {
	title: metadata.title,
	description: metadata.description,
	category: metadata.category,
	icon: blockLogin,
	keywords: [ __( 'Client Portal Login Form', 'leco-cp' ) ],
	supports: {
		anchor: true, // allow support for an anchor tag.
		customClassName: true, // allows a custom classname to be added by the user.
		html: false, // allow the html to be edited.
		multiple: false, // allows more than one block of that type on the page.
		reusable: false, // whether block is allowed to be a reusable block.
	},
	edit: Edit,
	save: () => {
		return null;
	},
} );
