import { __ } from '@wordpress/i18n';
import { Modal, Button } from '@wordpress/components';

const UploadsModal = ( props ) => {
	const { setModelOpen, deleteFile, file } = props;

	return (
		<Modal
			title={ __(
				'Are you sure you want to delete this file?',
				'leco-cp'
			) }
			onRequestClose={ ( e ) => {
				if ( e.type === 'click' ) {
					setModelOpen( false );
				}
			} }
			className="leco-cp__confirm-modal"
		>
			<div className="leco-cp__confirm-modal--btns">
				<Button
					className="leco-cp__confirm-button"
					onClick={ () => {
						deleteFile( file );
						setModelOpen( false );
					} }
				>
					{ __( 'Yes', 'leco-cp' ) }
				</Button>
				<Button
					className="leco-cp__cancel-button"
					onClick={ () => {
						setModelOpen( false );
					} }
				>
					{ __( 'Cancel', 'leco-cp' ) }
				</Button>
			</div>
		</Modal>
	);
};

export default UploadsModal;
