import { MediaUpload, MediaUploadCheck } from '@wordpress/block-editor';
import { Button } from '@wordpress/components';

const ModulesMediaUpload = ( props ) => {
	const { values, setMedia, btnTxt, additionalData, extraClass } = props;

	const { wp } = window;

	// Check if wp.media.frame.el has the class 'leco_private_file'.
	const frame = wp.media.frame;
	if ( frame && frame.el.classList.contains( 'leco_private_file' ) ) {
		frame.uploader.options.uploader.params.type = 'leco_private_file';
	}

	return (
		<MediaUploadCheck>
			<MediaUpload
				onSelect={ setMedia }
				value={ values }
				render={ ( { open } ) => (
					<Button
						className="add-new-link-btn"
						onClick={ open }
						variant="primary"
					>
						{ btnTxt }
					</Button>
				) }
				multiple={ 'add' }
				additionalData={ additionalData }
				modalClass={ extraClass }
			/>
		</MediaUploadCheck>
	);
};

export default ModulesMediaUpload;
