/* WordPress dependencies */
import { __ } from '@wordpress/i18n';
import { useState, useEffect } from '@wordpress/element';

/* Internal dependencies */
import ModulesMediaUpload from '../components/media-upload';
import SortableList from '../components/SortableList';

const FilesModule = ( props ) => {
	const { attributes, setAttributes } = props;
	const { moduleFiles } = attributes;

	const [ files, setFiles ] = useState( moduleFiles );

	useEffect( () => {
		setAttributes( { moduleFiles: files } );
	}, [ setAttributes, files ] );

	const moduleFilesIDs = moduleFiles?.map( ( file ) => file.id );

	return (
		<div>
			<SortableList
				setFiles={ setFiles }
				moduleFiles={ files }
				clientUploads={ false }
			/>

			<ModulesMediaUpload
				values={ moduleFilesIDs }
				setMedia={ ( media ) => {
					setFiles( media );
				} }
				btnTxt={ __( 'Add or Upload Files', 'leco-cp' ) }
			/>
		</div>
	);
};

export default FilesModule;
