/**
 * External dependencies
 */
import classnames from 'classnames';

/**
 * WordPress dependencies
 */
import { InnerBlocks } from '@wordpress/block-editor';

export default function Save( { attributes } ) {
	const { columns } = attributes;

	const containerClasses = classnames( {
		[ `leco-cp-cols-${ columns }` ]: columns,
		'leco-cp-container': true,
		'leco-cp-phases-container': true,
	} );

	return (
		<div className={ containerClasses }>
			<InnerBlocks.Content />
		</div>
	);
}
