import { useBlockProps, InnerBlocks, InspectorControls } from '@wordpress/block-editor';
import { __ } from '@wordpress/i18n';
import { PanelBody, RangeControl } from '@wordpress/components';

export default function Edit( props ) {
	const { attributes, setAttributes } = props;
	const { columns } = attributes;

	const blockProps = useBlockProps( {
		className: 'leco-cp-cols-' + columns,
	} );

	return (
		<>
			<InspectorControls>
				<PanelBody title={ __( 'Settings', 'leco-cp' ) }>
					<RangeControl
						label={ __( 'Columns', 'leco-cp' ) }
						value={ columns }
						onChange={ ( value ) => setAttributes( { columns: value } ) }
						min={ 1 }
						max={ 5 }
					/>
				</PanelBody>
			</InspectorControls>
			<div { ...blockProps }>
				<InnerBlocks
					allowedBlocks={ [ 'leco-cp/project-status-block' ] }
					orientation="horizontal"
					template={ [ [ 'leco-cp/project-status-block' ], [ 'leco-cp/project-status-block' ], [ 'leco-cp/project-status-block' ] ] }
				/>
			</div>
		</>
	);
}
