/**
 * Register Register Block
 *
 * @package
 * @since       4.12
 */

const { __ } = wp.i18n;
const { useBlockProps, InspectorControls } = wp.blockEditor;
const { registerBlockType } = wp.blocks;
const { serverSideRender: ServerSideRender } = wp;
const { PanelBody, TextControl, Tip, ToggleControl } = wp.components;

import PostsDropdownControl from './posts-dropdown-control';

import metadata from './block.json';
import Edit from './edit';

export default registerBlockType( metadata.name, {
	title: metadata.title,
	description: metadata.description,
	category: metadata.category,
	icon: metadata.icon,
	keywords: metadata.keywords,
	supports: {
		anchor: true, // allow support for an anchor tag.
		customClassName: true, // allows a custom classname to be added by the user.
		html: false, // allow the html to be edited.
		multiple: false, // allows more than one block of that type on the page.
		reusable: false, // whether block is allowed to be a reusable block.
	},
	attributes: metadata.attributes,
	edit: Edit,
	save: () => {
		return null;
	},
} );
