<?php
/**
 * Search Bar markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Blocks\Search_Bar
 *
 * @var array    $attributes Block attributes.
 * @var string   $content    Block content.
 * @var WP_Block $block      Block instance.
 * @var array    $context    BLock context.
 */
?>

<div <?php echo wp_kses_data( get_block_wrapper_attributes() ); ?> >
	<div class="leco-cp-container">
		<div class="docsearch-wrapper">
			<div class="docsearch-container">
				<input
					id="docsearch"
					type="text"
					placeholder="<?php echo apply_filters( 'leco_cp_portal_search_placeholder', esc_html__( 'Search the portal', 'leco-cp' ) ); ?>"
					autocomplete="off"
					spellcheck="false"
					role="combobox"
					aria-expanded="false"
					aria-label="search input"
				/>
				<div class="search-icon">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M12.9 14.32a8 8 0 1 1 1.41-1.41l5.35 5.33-1.42 1.42-5.33-5.34zM8 14A6 6 0 1 0 8 2a6 6 0 0 0 0 12z"></path></svg>
				</div>
			</div>
			<div class="search-feedback hidden">
				<p class="results-default hidden"><?php esc_html_e( 'Type more than three characters to get results.', 'leco-cp' ); ?></p>
				<p class="has-results hidden"><?php esc_html_e( 'See search results below.', 'leco-cp' ); ?></p>
				<p class="no-result"><?php esc_html_e( 'No search results. All modules are shown below.', 'leco-cp' ); ?></p>
			</div>
		</div>
	</div>
</div>