<?php
/**
 * CPT Template Markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

/**
 * Header Markup
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 * @see     https://github.com/WordPress/WordPress-Coding-Standards/issues/693
 */
require_once 'header.php';

$header_content = do_blocks(
	'<!-- wp:group -->
		<div class="wp-block-group is-root-container">
		' . leco_cp_extract_raw_cover_block( get_the_content() ) . '
		</div>
		<!-- /wp:group -->'
);

$block_content = do_blocks(
	'<!-- wp:group -->
		<div class="wp-block-group is-root-container">
		<!-- wp:post-content {"layout":{"type":"constrained"}} /-->
		</div>
		<!-- /wp:group -->'
);

$classes = ! leco_cp_user_has_access() ? array( 'contacts' ) : array( 'cta-section', 'contacts' );
$footer_content = do_blocks(
	'<!-- wp:group -->
		<div class="wp-block-group is-root-container">
		' . implode( '', leco_cp_extract_group_blocks_with_class( get_the_content(), $classes ) ) . '
		</div>
		<!-- /wp:group -->'
);


wp_head();
?>

</head>
<body <?php body_class( 'editor-styles-wrapper' ); ?>>
<?php wp_body_open(); ?>

<?php
if ( leco_cp_can_display_project() ) :
	echo $block_content; // @codingStandardsIgnoreLine - escaped elsewhere
else :
	echo $header_content;
	?>
	<div class="content-section">
		<div class="leco-cp-container">
			<?php
			echo leco_cp_login_form();
			?>
		</div>
	</div>
<?php
	echo $footer_content;
endif;

require_once 'footer.php';
