<?php
/**
 * Header Block Pattern
 *
 * @since 5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */
$options = get_option( 'leco_cp_options' );

$default_logo = isset( $options['logo_id'] ) && isset( $options['logo'] ) ? sprintf(
	' {"logo":{"id":%d,"url":"%s","alt":""}}',
	$options['logo_id'],
	$options['logo']
) : '';
?>
<!-- wp:cover {"overlayColor":"leco-cp-primary","contentPosition":"center center","isDark":false,"tagName":"header","align":"full","className":"title-section"} -->
<header class="wp-block-cover alignfull is-light title-section">
    <span aria-hidden="true" class="wp-block-cover__background has-leco-cp-primary-background-color has-background-dim-100 has-background-dim"></span>
    <div class="wp-block-cover__inner-container">
        <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|40"}},"layout":{"type":"flex","orientation":"vertical","justifyContent":"center","flexWrap":"nowrap"}} -->
        <div class="wp-block-group">
            <!-- wp:leco-cp/header-logo<?php echo $default_logo; ?> /-->
            <!-- wp:post-title /-->
            <!-- wp:navigation <?php echo wp_kses_post(leco_cp_get_block_navigation()); ?> /-->
        </div>
        <!-- /wp:group -->
    </div>
</header>
<!-- /wp:cover -->
