<?php
/**
 * Phases Blocks Pattern
 *
 * @since   5.0
 *
 * @package LECO\Client_Portal\Templates\Five
 */

$options      = get_option( 'leco_cp_options' );
$phase_x_text = leco_cp_get_option( 'phase_x_text', __( 'Phase', 'leco-cp' ) );
$defaults     = leco_cp_get_default_meta_values();


?>

<!-- wp:group {"align":"full","className":"main-content","layout":{"type":"constrained","contentSize":"1024px"}} -->
<div class="wp-block-group alignfull main-content"><!-- wp:leco-cp/search-bar {"className":"wp-block-leco-cp-search-bar"} /-->

<!-- wp:leco-cp/phases {"title":"<?php echo esc_html( $defaults['leco_cp_part_0_title'] );?>","phase":"<?php echo esc_html( $phase_x_text ) ?> 1","uid":0} -->
<div class="leco-cp-cols-3 leco-cp-container leco-cp-phases-container">

<?php foreach( $defaults['leco_cp_part_0_module'] as $module ) { ?>
    
<!-- wp:leco-cp/modules { "icon":"<?php echo esc_attr( strtolower( $module['icon'] ) );?>","title":"<?php echo esc_html( $module['title'] );?>","description":"<?php echo esc_html( $module['description'] );?>"} /-->

<?php } ?>
</div>
<!-- /wp:leco-cp/phases -->

<!-- wp:leco-cp/phases {"title":"<?php echo esc_html( $defaults['leco_cp_part_1_title'] );?>","phase":"<?php echo esc_html( $phase_x_text ) ?> 2","uid":1} -->
<div class="leco-cp-cols-3 leco-cp-container leco-cp-phases-container">

<?php foreach( $defaults['leco_cp_part_1_module'] as $module ) { ?>
    
    <!-- wp:leco-cp/modules { "icon":"<?php echo esc_attr( strtolower( $module['icon'] ) );?>","title":"<?php echo esc_html( $module['title'] );?>","description":"<?php echo esc_html( $module['description'] );?>"} /-->
    
<?php } ?>
</div>
<!-- /wp:leco-cp/phases -->

<!-- wp:leco-cp/phases {"title":"<?php echo esc_html( $defaults['leco_cp_part_2_title'] );?>","phase":"<?php echo esc_html( $phase_x_text ) ?> 3","uid":2} -->
<div class="leco-cp-cols-3 leco-cp-container leco-cp-phases-container">
    
<?php foreach( $defaults['leco_cp_part_2_module'] as $module ) { ?>
    
    <!-- wp:leco-cp/modules { "icon":"<?php echo esc_attr( strtolower( $module['icon'] ) );?>","title":"<?php echo esc_html( $module['title'] );?>","description":"<?php echo esc_html( $module['description'] );?>"} /-->
    
<?php } ?>

</div>
<!-- /wp:leco-cp/phases -->
</div>
<!-- /wp:group -->
