<?php
/**
 * Multiple URLs lity box.
 *
 * @var string $number      The phase number.
 * @var string $key         The module key.
 * @var string $icon        The module icon.
 * @var string $status      The module status.
 * @var string $title       The module title.
 * @var string $type        The module type.
 * @var string $description The module description.
 * @var number $phaseID     The phase ID.
 * @var array  $uploads     The uploads.
 *
 * @package LECO\Client_Portal\Five
 */
?>
<div
	class="lity-hide"
	id="module_<?php echo esc_attr( $number ) . '_' . esc_attr( $key ); ?>"
	<?php if ( 'module-client-uploads' === $type ) { 
			printf(
				' data-leco-cp-module-id="%s" data-leco-cp-post-id="%s" data-leco-cp-files=\'%s\'',
				esc_attr( $phaseID ),
				esc_attr( get_the_ID() ),
				json_encode( $uploads )
			); 
		}
	?>
>
	<div class="module <?php echo esc_attr( $status ); ?>">
		<span class="ico-area">
			<span class="iconset">
				<?php echo leco_cp_get_module_icon( $icon, $key, $number ); // phpcs:ignore. ?>
			</span>
		</span>
		<span class="title"><?php echo esc_html( $title ); ?></span>
		<span class="desc"><?php echo ( isset( $description ) ) ? wp_kses( $description, 'post' ) : ''; ?></span>
	</div>
	<div class="client-uploads-container">
        <?php if ( ! leco_cp_is_public_portal( get_the_ID() ) ) : ?>			
			<div class="leco-cp__file-upload-container"></div>
		<?php else : ?>
			<div><p><?php esc_html_e( 'You cannot upload files to a public portal.', 'leco-cp' ); ?></p></div>
		<?php endif; ?>
    </div>
</div>